=== debian/changelog ===
rustc-1.79 (1.79.0+dfsg1ubuntu1-0ubuntu0.24.04) noble; urgency=medium

  * Backport to Noble (LP: #2076205)

 -- Zixing Liu <zixing.liu@canonical.com>  Sun, 18 Aug 2024 19:57:31 -0600
